VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::content::library::item::downloadsession::FileTypes::Info Class Reference

The `File.Info` class defines the downloaded file. More...

List of all members.

## Public Member Functions
| Info ()
| Creates a default new instance.
string | GetName ()
| The name of the file.
void | SetName (string name)
| The name of the file.
long | GetSize ()
| The file size, in bytes.
void | SetSize (long?size)
| The file size, in bytes.
long | GetBytesTransferred ()
| The number of bytes that have been transferred by the server so far for making this file prepared for download.
void | SetBytesTransferred (long bytesTransferred)
| The number of bytes that have been transferred by the server so far for making this file prepared for download.
vmware.content.library.item.downloadsession.FileTypes.PrepareStatus | GetStatus ()
| The preparation status ( UNPREPARED, PREPARE_REQUESTED, PREPARING, PREPARED, ERROR) of the file.
void | SetStatus (vmware.content.library.item.downloadsession.FileTypes.PrepareStatus status)
| The preparation status ( UNPREPARED, PREPARE_REQUESTED, PREPARING, PREPARED, ERROR) of the file.
vmware.content.library.item.TransferEndpoint | GetDownloadEndpoint ()
| Endpoint at which the file is available for download.
void | SetDownloadEndpoint (vmware.content.library.item.TransferEndpoint downloadEndpoint)
| Endpoint at which the file is available for download.
vmware.content.library.item.FileTypes.ChecksumInfo | GetChecksumInfo ()
| The checksum information of the file.
void | SetChecksumInfo (vmware.content.library.item.FileTypes.ChecksumInfo checksumInfo)
| The checksum information of the file.
vmware.vapi.std.LocalizableMessage | GetErrorMessage ()
| Error message for a failed preparation when the prepare status is File.PrepareStatus.ERROR .
void | SetErrorMessage (vmware.vapi.std.LocalizableMessage errorMessage)
| Error message for a failed preparation when the prepare status is File.PrepareStatus.ERROR .
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `File.Info` class defines the downloaded file.

## Constructor & Destructor Documentation

vmware::content::library::item::downloadsession::FileTypes::Info::Info | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::content::library::item::downloadsession::FileTypes::Info::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::content::library::item::downloadsession::FileTypes::Info::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::content::library::item::downloadsession::FileTypes::Info::_GetType | ( |  | ) | `[inline]`

bool vmware::content::library::item::downloadsession::FileTypes::Info::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::content::library::item::downloadsession::FileTypes::Info::_Validate | ( |  | ) | `[inline]`

override bool vmware::content::library::item::downloadsession::FileTypes::Info::Equals | ( | object | obj | ) | `[inline]`

long vmware::content::library::item::downloadsession::FileTypes::Info::GetBytesTransferred | ( |  | ) | `[inline]`

The number of bytes that have been transferred by the server so far for making this file prepared for download.

This value may stay at zero till the client starts downloading the file.

vmware.content.library.item.FileTypes.ChecksumInfo vmware::content::library::item::downloadsession::FileTypes::Info::GetChecksumInfo | ( |  | ) | `[inline]`

The checksum information of the file.

When the download is complete, you can retrieve the checksum from the File.Get method to verify the checksum for the downloaded file.

vmware.content.library.item.TransferEndpoint vmware::content::library::item::downloadsession::FileTypes::Info::GetDownloadEndpoint | ( |  | ) | `[inline]`

Endpoint at which the file is available for download.

The value is valid only when the File.Info.status is File.PrepareStatus.PREPARED .

vmware.vapi.std.LocalizableMessage vmware::content::library::item::downloadsession::FileTypes::Info::GetErrorMessage | ( |  | ) | `[inline]`

Error message for a failed preparation when the prepare status is File.PrepareStatus.ERROR .

override int vmware::content::library::item::downloadsession::FileTypes::Info::GetHashCode | ( |  | ) | `[inline]`

string vmware::content::library::item::downloadsession::FileTypes::Info::GetName | ( |  | ) | `[inline]`

The name of the file.

long vmware::content::library::item::downloadsession::FileTypes::Info::GetSize | ( |  | ) | `[inline]`

The file size, in bytes.

vmware.content.library.item.downloadsession.FileTypes.PrepareStatus vmware::content::library::item::downloadsession::FileTypes::Info::GetStatus | ( |  | ) | `[inline]`

The preparation status ( UNPREPARED, PREPARE_REQUESTED, PREPARING, PREPARED, ERROR) of the file.

void vmware::content::library::item::downloadsession::FileTypes::Info::SetBytesTransferred | ( | long | bytesTransferred | ) | `[inline]`

The number of bytes that have been transferred by the server so far for making this file prepared for download.

This value may stay at zero till the client starts downloading the file.

void vmware::content::library::item::downloadsession::FileTypes::Info::SetChecksumInfo | ( | vmware.content.library.item.FileTypes.ChecksumInfo | checksumInfo | ) | `[inline]`

The checksum information of the file.

When the download is complete, you can retrieve the checksum from the File.Get method to verify the checksum for the downloaded file.

void vmware::content::library::item::downloadsession::FileTypes::Info::SetDownloadEndpoint | ( | vmware.content.library.item.TransferEndpoint | downloadEndpoint | ) | `[inline]`

Endpoint at which the file is available for download.

The value is valid only when the File.Info.status is File.PrepareStatus.PREPARED .

void vmware::content::library::item::downloadsession::FileTypes::Info::SetErrorMessage | ( | vmware.vapi.std.LocalizableMessage | errorMessage | ) | `[inline]`

Error message for a failed preparation when the prepare status is File.PrepareStatus.ERROR .

void vmware::content::library::item::downloadsession::FileTypes::Info::SetName | ( | string | name | ) | `[inline]`

The name of the file.

void vmware::content::library::item::downloadsession::FileTypes::Info::SetSize | ( | long? | size | ) | `[inline]`

The file size, in bytes.

void vmware::content::library::item::downloadsession::FileTypes::Info::SetStatus | ( | vmware.content.library.item.downloadsession.FileTypes.PrepareStatus | status | ) | `[inline]`

The preparation status ( UNPREPARED, PREPARE_REQUESTED, PREPARING, PREPARED, ERROR) of the file.

override string vmware::content::library::item::downloadsession::FileTypes::Info::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- downloadsession/FileTypes.cs